<?php

namespace App\Classes\Modules\Contacts\DataTransferObjects;

use App\Classes\Interfaces\DataTransferObject;

class ContactObject implements DataTransferObject
{

    /** @var int */
    private $companyId;

    /** @var string */
    private $name;

    /** @var string|null */
    private $designation;

    /** @var string|null */
    private $email;

    /** @var string|null */
    private $phone;

    /** @var string|null */
    private $wechatId;

    /**
     * ContactObject constructor.
     * @param int $companyId
     * @param string $name
     * @param null|string $designation
     * @param null|string $email
     * @param null|string $phone
     * @param null|string $wechatId
     */
    public function __construct(int $companyId, string $name, ?string $designation, ?string $email, ?string $phone, ?string $wechatId)
    {
        $this->companyId = $companyId;
        $this->name = $name;
        $this->designation = $designation;
        $this->email = $email;
        $this->phone = $phone;
        $this->wechatId = $wechatId;
    }

    /**
     * @return int
     */
    public function getCompanyId(): int
    {
        return $this->companyId;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @return null|string
     */
    public function getDesignation(): ?string
    {
        return $this->designation;
    }

    /**
     * @return null|string
     */
    public function getEmail(): ?string
    {
        return $this->email;
    }

    /**
     * @return null|string
     */
    public function getPhone(): ?string
    {
        return $this->phone;
    }

    /**
     * @return null|string
     */
    public function getWechatId(): ?string
    {
        return $this->wechatId;
    }



}